#!/bin/bash
PRODUCTNAME="zero"
TMPDIR="/tmp/zero"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
INSTALLEDVERSION=-1
source /etc/os-release
OS=$ID

echo "* Creating directories"
sleep 1
#Creation des repertoires
if [ ! -d "$INSTALLDIR" ]
then
    mkdir "$INSTALLDIR"
    mkdir "$INSTALLDIR/$PRODUCTNAME"
fi
if [ ! -d "$IPCDIR" ]
then
    mkdir "$IPCDIR"
fi


echo "* Detecting current installed version"
sleep 1
#Detection de la version actuellement installee
#Le fichier de version est stocké dans IPCDIR/PRODUCTNAME.ver
if [ -e "$IPCDIR/$PRODUCTNAME.ver" ]
then
    INSTALLEDVERSION=$(cat "$IPCDIR/$PRODUCTNAME.ver" |cut -d"." -f2)
fi
echo "* Current installed version : $INSTALLEDVERSION"


echo "* Downloading new file"
sleep 1
#Telecharge la derniere version disponible sur le site support.
rm -rf "$TMPDIR"
mkdir "$TMPDIR"
cd "$TMPDIR"
wget -q http://support.ipconnect.fr/Prive/zeroconf/zeroconfpbx.zip



echo "* Extracting files"
sleep 1
#Sauvegarde les fichiers de config
if [ -e "$INSTALLDIR/$PRODUCTNAME/config/zeroconf.ini" ]
then
    mv "$INSTALLDIR/$PRODUCTNAME/config/zeroconf.ini" "$TMPDIR/zeroconf.ini.old"
fi
#Supprime le contenu actuel du fichier d'installation
rm -rf "$INSTALLDIR/$PRODUCTNAME"
#Dezippe dans ce dossier
unzip zeroconfpbx.zip -d "$INSTALLDIR/$PRODUCTNAME" > /dev/null
#Replace les fichiers de Config
if [ -e "$TMPDIR/zeroconf.ini.old" ]
then
    mv "$TMPDIR/zeroconf.ini.old" "$INSTALLDIR/$PRODUCTNAME/config/zeroconf.ini"
    chmod 666 "$INSTALLDIR/$PRODUCTNAME/config/zeroconf.ini"
fi


echo "* Preparing files"
sleep 1
cd "$INSTALLDIR/$PRODUCTNAME"
find . -type f -print0 | xargs -0 dos2unix -q
#on detecte la nouvelle version à installer
NEWVERSION=$(cat "$INSTALLDIR/$PRODUCTNAME/version.txt" |cut -d"." -f2)
echo "* New version is : $NEWVERSION"



echo "* Setting up $PRODUCTNAME"
sleep 1
LASTINSTALLED=$INSTALLEDVERSION
#execution des scripts de mise à jour a partir de la version actuelle + 1
for (( i = $INSTALLEDVERSION+1 ; i <= $NEWVERSION ; i++))
{
    if [ -d "$INSTALLDIR/$PRODUCTNAME/InstallScripts/1.$i" ]
    then
        cd "$INSTALLDIR/$PRODUCTNAME/InstallScripts/1.$i"
        echo "* Executing script install.sh"
        bash install.sh > /dev/null
    fi
    LASTINSTALLED=$i
}


echo "* Writing current version"
echo "1.$LASTINSTALLED" > "$IPCDIR/$PRODUCTNAME.ver"

echo "* Installation finished."

exit